
/**************************************************************
 *	Copyright (c) 1997 Scott M Harrison.  All rights reserved.
 *
 *	This software is provided "as is" without express or
 *	implied warranty.
 *
 *************************************************************/

/**************************************************************
 *
 *	$Source: /private/Net/mithril/HardDrive1/Users/sharris/Postgres95Adaptor/RCS/Postgres95Adaptor.h,v $
 *	$Revision: 1.2 $
 *	$Date: 97/03/24 19:35:38 $
 *	$Author: sharris $
 *
 *************************************************************/

#ifdef	EOF_1_1
#import <eoaccess/EOAdaptor.h>
#endif	/* EOF_1_1 */

#ifdef	EOF_1_2
#import <EOAccess1x/EOAdaptor.h>
#endif	/* EOF_1_2 */

#define HOSTNAME	@"hostname"
#define DATABASE	@"database"
#define NAME		@"name"
#define PASSWORD	@"password"

@class EOAdaptorContext, EOAttribute, NSString;

@interface Postgres95Adaptor : EOAdaptor
	{
	int openChannels;
	}

- (Class) expressionClass;
- (EOAdaptorContext *) createAdaptorContext;
- (BOOL) hasOpenChannels;
- (void) postgres95ChannelDidConnect;
- (void) postgres95ChannelDidDisconnect;
- (BOOL) hasValidConnectionDictionary;
- formatAttribute: (EOAttribute *) attribute;
- formatValue: value forAttribute: (EOAttribute *) attribute;
- (BOOL) isValidQualifierType: (NSString *) typeName;

@end
