
/**************************************************************
 *	Copyright (c) 1997 Scott M Harrison.  All rights reserved.
 *
 *	This software is provided "as is" without express or
 *	implied warranty.
 *
 *************************************************************/

/**************************************************************
 *
 *	$Source: /private/Net/mithril/HardDrive1/Users/sharris/Postgres95Adaptor/RCS/Postgres95AdaptorContext.h,v $
 *	$Revision: 1.2 $
 *	$Date: 97/03/24 19:34:52 $
 *	$Author: sharris $
 *
 *************************************************************/

#ifdef	EOF_1_1
#import <eoaccess/EOAdaptorContext.h>
#endif	/* EOF_1_1 */

#ifdef	EOF_1_2
#import <EOAccess1x/EOAdaptorContext.h>
#endif	/* EOF_1_2 */

@class Postgres95Adaptor;
@class Postgres95AdaptorChannel;
@class EOAdaptor, EOAdaptorChannel;

@interface Postgres95AdaptorContext : EOAdaptorContext

	{
	Postgres95Adaptor *adaptor;
	Postgres95AdaptorChannel *channel;
	int transaction;
	}

- initWithAdaptor: (Postgres95Adaptor *) anAdaptor;
- (void) dealloc;
- (EOAdaptor *) adaptor;
- (EOAdaptorChannel *) createAdaptorChannel;
- (BOOL) beginTransaction;
- (BOOL) commitTransaction;
- (BOOL) rollbackTransaction;
- (BOOL) canNestTransactions;
- (unsigned) nestedTransactions;
- (unsigned int) transactionNestingLevel;
- (void) transactionDidBegin;
- (void) transactionDidCommit;
- (void) transactionDidRollback;
- (BOOL) hasBusyChannels;

@end
